#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mtools
Version		:	4.0.43
Release		:	17.2.0.rel%{?dist}
Summary		:	A collection of utilities to access MS-DOS disks from GNU and Unix without mounting them
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://www.gnu.org/software/mtools/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
%description
Mtools is a collection of utilities to access MS-DOS disks from
GNU and Unix without mounting them. It supports Win'95 style long
file names, OS/2 Xdf disks and 2m disks (store up to 1992k on a
high density 3 1/2 disk). In addition to file access, it supports
many FAT-specific features: volume labels, FAT-specific file
attributes (hidden, system, ...), "bad block" map maintenance,
access to remote floppy drives, Iomega ZIP disk protection,
"secure" erase, display of file's on-disk layout, etc.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/*
%{_infodir}/%{name}.info.gz
%{_mandir}/man5/%{name}.5.gz
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf 	-vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-floppyd				\
	
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
%{__rm} %{buildroot}%{_infodir}/dir


#-----------------------------------------------------------------------------
%changelog
